package cz.muni.sutralog.repository

import android.graphics.Color
import cz.muni.sutralog.data.RockPresentableListItem

class RockRepository {

    fun getMockedData(count: Int = 9): List<RockPresentableListItem> =
        mutableListOf<RockPresentableListItem>().apply {
            repeat(count) {
                val item = RockPresentableListItem(
                    id = it.toLong(),
                    name = "Rock name",
                    color = "#ff0000"
                )
                add(item)
            }
        }

}