package cz.muni.sutralog.ui.list

import android.content.res.ColorStateList
import android.graphics.Color
import androidx.core.content.ContextCompat
import androidx.recyclerview.widget.RecyclerView
import cz.muni.sutralog.databinding.RockItemListBinding
import cz.muni.sutralog.data.RockPresentableListItem

class RockViewHolder(private val binding: RockItemListBinding)
    : RecyclerView.ViewHolder(binding.root) {

    fun bind(listItem: RockPresentableListItem,
             onItemClick: (RockPresentableListItem) -> Unit) {
        binding.rockName.text = listItem.name;

        binding.cardContainer.setStrokeColor(ColorStateList.valueOf(
            Color.parseColor(listItem.color)
        ))

//        binding.cardContainer.setOnClickListener {
//            onItemClick(listItem)
//        }
    }
}